RawCodec (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class RawCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.RawCodec

All Implemented Interfaces:
  Decoder, Encoder, StreamingEncoder

    public class RawCodec
    extends java.lang.Object

Codec that doesn't do any encoding or decoding. This is for marking some text as "safe" in the buffer. "safe" part of the buffer won't be encoded later if a codec is applied to the buffer

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.lang.Object` | `decode(java.lang.Object o)`
`java.lang.Object` | `encode(java.lang.Object o)`
`void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`
`CodecIdentifier` | `getCodecIdentifier()`
`boolean` | `isApplyToSafelyEncoded()`
`boolean` | `isSafe()`
`void` | `markEncoded(java.lang.CharSequence string)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### decode

    public java.lang.Object decode(java.lang.Object o)

### encode

    public java.lang.Object encode(java.lang.Object o)

### encodeToStream

    public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

### getCodecIdentifier

    public CodecIdentifier getCodecIdentifier()

### isApplyToSafelyEncoded

    public boolean isApplyToSafelyEncoded()

### isSafe

    public boolean isSafe()

### markEncoded

    public void markEncoded(java.lang.CharSequence string)

Groovy Documentation